Subject: [Healeys] Water in the footwells

From: Michael Hartfield <[email-masked]>
Date: Tue, 08 Oct 2013 12:30:37 -0700

On a recent trip in Washington State, our group encountered a deluge of
rain.  In fact, we had rain for one entire day of highway travel.  Upon
returning I found about 2/3 cup of water in each footwell, passenger and
driver.  There were no leaks from the cowling nor did any moisture come in
above the footwells that could be seen.  I have talked with three other
drivers on the trip and we all encountered the same problem.

Where do you think the leaks are?  What can be done to seal the cockpit?

Michael Hartfield, AHCO
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys